<?php

/**************    Include cabecera  ***********************************/
require_once '../../principal_compra_reserva_ajax.php';

$tarifa          = array();
$tarifa['total'] = 0;
$tarifa['num']   = 0;
$usuarios        = explode(',', $_POST['lista']);
$i               = 0;

if (!empty($_POST['tarifas'])) {
    // Calculo tarifa a mostrar según número de plazas y servicio
    $sql_tarifas = "SELECT t.precio, t.id, t.pago_grupo, ug.nombre, ug.maximo_usuarios, ug.minimo_usuarios, t.no_suma, ug.usuarios_descuenta
                    FROM tarifas t JOIN usuarios_grupos ug ON t.usuarios_grupo_id = ug.id
                    AND ug.activo = 1
                    AND ug.especial = 0
                    AND ug.mostrar_precio = 1
                    AND t.id IN (" . $_POST['tarifas'] . ")
                    ORDER BY t.id ASC";

    $result_tarifa   = $conexion->query($sql_tarifas);

    while ($row_tarifa = $result_tarifa->fetch()) {

        // Compruebo si el pago es por grupo o por persona
        if ($row_tarifa['pago_grupo'] == 0) {
            $precio = ($row_tarifa['precio'] * $usuarios[$i]);
        } else {
            $precio = $row_tarifa['precio'];
        }

        $tarifa['total'] += $precio;
        if (!$row_tarifa['no_suma']) {
            $tarifa['num'] += $usuarios[$i] * $row_tarifa['usuarios_descuenta'];
        }

        $i++;
    }
}
$tarifa['total'] = sprintf('%0.2f', $tarifa['total']);
echo json_encode($tarifa);
